summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJeroen van Meeuwen (Fedora Unity) <kanarip@fedoraunity.org>2009-01-11 18:12:23 -0500
committerDavid Cantrell <dcantrell@redhat.com>2009-02-16 13:33:17 -1000
commitfffe995c18674df3dd11db9cafeded5c3bbb0eec (patch)
tree9e199b3f1209b82d1870ecce97a689af4e3a9191 /scripts
parent1021f6859de97c747ab7614cccdb82e54a49c89b (diff)
downloadanaconda-fffe995c18674df3dd11db9cafeded5c3bbb0eec.tar.gz
anaconda-fffe995c18674df3dd11db9cafeded5c3bbb0eec.tar.xz
anaconda-fffe995c18674df3dd11db9cafeded5c3bbb0eec.zip
Fix indentation in buildinstall script
Signed-off-by: David Cantrell <dcantrell@redhat.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/buildinstall113
1 files changed, 56 insertions, 57 deletions
diff --git a/scripts/buildinstall b/scripts/buildinstall
index 8167dccb6..818959d7f 100755
--- a/scripts/buildinstall
+++ b/scripts/buildinstall
@@ -28,67 +28,66 @@ die() {
}
usage() {
- echo "Usage: buildinstall --version <version> --product <product> --release <comment> [--output outputdir] [--discs <discstring>] <root>" >&2
- exit 1
+ echo "Usage: buildinstall --version <version> --product <product> --release <comment> [--output outputdir] [--discs <discstring>] <root>" >&2
+ exit 1
}
PRODUCTPATH="anaconda"
while [ $# -gt 0 ]; do
case $1 in
- # general options affecting how we build things
- --nogr)
- NOGRSTR="--nogr"
- shift
- ;;
- --debug)
- DEBUGSTR="--debug"
- shift
- ;;
-
- # release information
- --version)
- VERSION=$2
- shift; shift
- ;;
- --release)
- RELEASESTR=$2
- shift; shift
- ;;
+ # general options affecting how we build things
+ --nogr)
+ NOGRSTR="--nogr"
+ shift
+ ;;
+ --debug)
+ DEBUGSTR="--debug"
+ shift
+ ;;
+
+ # release information
+ --version)
+ VERSION=$2
+ shift; shift
+ ;;
+ --release)
+ RELEASESTR=$2
+ shift; shift
+ ;;
--product)
- PRODUCTSTR=$2
- shift; shift
- ;;
- --variant)
- VARIANT=$2
- shift; shift
- ;;
- --bugurl)
- BUGURL=$2
- shift; shift
- ;;
-
- --output)
- OUTPUT=$2
- shift; shift
- ;;
- --updates)
- UPDATES=$2
- shift; shift
- ;;
- --mirrorlist)
- MIRRORLIST="$MIRRORLIST $2"
- shift; shift
- ;;
-
- *)
- if [ -z "$REPO" ]; then
- REPO=$1
- else
- EXTRA_REPOS="$EXTRA_REPOS $1"
- fi
- shift
- ;;
+ PRODUCTSTR=$2
+ shift; shift
+ ;;
+ --variant)
+ VARIANT=$2
+ shift; shift
+ ;;
+ --bugurl)
+ BUGURL=$2
+ shift; shift
+ ;;
+ --output)
+ OUTPUT=$2
+ shift; shift
+ ;;
+ --updates)
+ UPDATES=$2
+ shift; shift
+ ;;
+ --mirrorlist)
+ MIRRORLIST="$MIRRORLIST $2"
+ shift; shift
+ ;;
+
+ *)
+ if [ -z "$REPO" ]; then
+ REPO=$1
+ else
+ EXTRA_REPOS="$EXTRA_REPOS $1"
+ fi
+ shift
+ ;;
esac
done
@@ -189,11 +188,11 @@ BUILDINSTALL=./buildinstall
for f in $UPD_INSTROOT $MK_IMAGES $MK_STAMP $MK_TREEINFO $BUILDINSTALL; do
if [ -n "$UPDATES" -a -f $UPDATES/usr/lib/anaconda-runtime/$f ]; then
- cp -a $UPDATES/usr/lib/anaconda-runtime/$f* $BUILDINSTDIR/
+ cp -a $UPDATES/usr/lib/anaconda-runtime/$f* $BUILDINSTDIR/
elif [ ! -f $f ]; then
- cp -a $BUILDINSTDIR/usr/lib/anaconda-runtime/$f* $BUILDINSTDIR/
+ cp -a $BUILDINSTDIR/usr/lib/anaconda-runtime/$f* $BUILDINSTDIR/
else
- cp -a $f* $BUILDINSTDIR/
+ cp -a $f* $BUILDINSTDIR/
fi
done